Bug 104076 - bad initrd created for 2.4 kernel installed when running 2.6
bad initrd created for 2.4 kernel installed when running 2.6
Status: CLOSED WORKSFORME
Product: Red Hat Linux Beta
Classification: Retired
Component: mkinitrd (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-09 13:12 EDT by Michael Young
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-01 16:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2003-09-09 13:12:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.2.1) Gecko/20030711

Description of problem:
I have seen this a couple of times, after installing a new 2.4 severn kernel
while one of arjan's 2.6 kernel is running. When you try to boot the 2.4 kernel,
you get errors suggesting that that the kernel is trying to read beyond the end
of the initrd. Re-running mkinitrd by hand creates a good initrd, as does
fscking the original initrd and recompressing. The contents when mounted of
these initrds are the same, (diff -r complains at the special files in dev, but
only the timestamps appear to be different), though the original one complains
that recovery might be needed when mounting.
Comment 1 Jeremy Katz 2003-09-29 19:26:00 EDT
Does 'tune2fs -l' on the filesystems show different flags?
Comment 2 Jeremy Katz 2003-10-01 16:32:10 EDT
Could have just been a flaky 2.6 kernel with loop devs or something like that. I
haven't seen it in my switching back and forth between kernels, but I've missed
a few, too.

Note You need to log in before you can comment on or make changes to this bug.